Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.font.effects
Class OutlineZigzagEffect

    java.lang.Object
      org.newdawn.slick.font.effects.OutlineEffect
          org.newdawn.slick.font.effects.OutlineZigzagEffect

All Implemented Interfaces:
  ConfigurableEffect, Effect

    public class OutlineZigzagEffect

extends OutlineEffect

An effect to generate a uniformly zigzaging line around text

Author:
  Jerry Huxtable, Nathan Sweet

Nested Class Summary

Nested classes/interfaces inherited from interface org.newdawn.slick.font.effects.ConfigurableEffect
`ConfigurableEffect.Value`

Constructor Summary
`OutlineZigzagEffect()` Default constructor for injection
`OutlineZigzagEffect(int width, java.awt.Color color)` Create a new effect to generate a zigzagging line around the text

Method Summary
`float` | `getAmplitude()` Gets the amplitude of the wobble effect.
`java.util.List` | `getValues()` Returns the list of `ConfigurableEffect.Value`s for this effect.
`float` | `getWavelength()` Gets the wavelength of the wobble effect.
`void` | `setAmplitude(float amplitude)` Sets the amplitude of the wobble effect.
`void` | `setValues(java.util.List values)` Sets the list of `ConfigurableEffect.Value`s for this effect.
`void` | `setWavelength(float wavelength)` Sets the wavelength of the wobble effect.
`java.lang.String` | `toString()`

Methods inherited from class org.newdawn.slick.font.effects.OutlineEffect
`draw, getColor, getJoin, getStroke, getWidth, setColor, setJoin, setStroke, setWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutlineZigzagEffect

    public OutlineZigzagEffect()

  Default constructor for injection

### OutlineZigzagEffect

    public OutlineZigzagEffect(int width,
                               java.awt.Color color)

  Create a new effect to generate a zigzagging line around the text

  Parameters:
    `width` - The width of the line
    `color` - The colour of the line

Method Detail

### getWavelength

    public float getWavelength()

  Gets the wavelength of the wobble effect.

  Returns:
    The wavelength of the wobble effect

### setWavelength

    public void setWavelength(float wavelength)

  Sets the wavelength of the wobble effect.

  Parameters:
    `wavelength` - The wavelength of the wobble effect

### getAmplitude

    public float getAmplitude()

  Gets the amplitude of the wobble effect.

  Returns:
    The amplitude of the wobble effect

### setAmplitude

    public void setAmplitude(float amplitude)

  Sets the amplitude of the wobble effect.

  Parameters:
    `amplitude` - The detail of the wobble effect

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `OutlineEffect`
  See Also:
    `OutlineEffect.toString()`

### getValues

    public java.util.List getValues()

  Description copied from interface: `ConfigurableEffect`
  Returns the list of `ConfigurableEffect.Value`s for this effect. This list is not typically backed by the effect, so changes to the values will not take affect until `ConfigurableEffect.setValues(List)` is called.

  Specified by:
    `getValues` in interface `ConfigurableEffect`
  Overrides:
    `getValues` in class `OutlineEffect`
  See Also:
    `OutlineEffect.getValues()`

### setValues

    public void setValues(java.util.List values)

  Description copied from interface: `ConfigurableEffect`
  Sets the list of `ConfigurableEffect.Value`s for this effect.

  Specified by:
    `setValues` in interface `ConfigurableEffect`
  Overrides:
    `setValues` in class `OutlineEffect`
  See Also:
    `OutlineEffect.setValues(java.util.List)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.